POST
Create Telephony Configuration

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Body

application/json

Body for POST /telephony-configs.

config carries the provider-specific credential fields (the same discriminated union used by the legacy single-config endpoint). Any from_numbers on the inner config are ignored тАФ phone numbers are managed via the dedicated phone-numbers endpoints.

name
string
required
Required string length: 1 - 64
config
ARIConfigurationRequest ┬╖ object
required

Request schema for Asterisk ARI configuration.

is_default_outbound
boolean
default:false

Response

Successful Response

Body of GET /telephony-configs/{id} тАФ credentials are masked.

id
integer
required
name
string
required
provider
string
required
is_default_outbound
boolean
required
credentials
Credentials ┬╖ object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required